Bug 978617 - [abrt] shotwell-0.13.1-1.fc18: directory_monitor_real_internal_notify_file_discovered: Process /usr/bin/shotwell was killed by signal 6 (SIGABRT)
[abrt] shotwell-0.13.1-1.fc18: directory_monitor_real_internal_notify_file_di...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: shotwell (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:7f1949f088d9cb038b83ec5f783...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-26 19:44 EDT by Nirmal Pathak
Modified: 2014-02-05 16:58 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:58:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (30.27 KB, text/plain)
2013-06-26 19:44 EDT, Nirmal Pathak
no flags Details
File: cgroup (130 bytes, text/plain)
2013-06-26 19:44 EDT, Nirmal Pathak
no flags Details
File: core_backtrace (2.60 KB, text/plain)
2013-06-26 19:45 EDT, Nirmal Pathak
no flags Details
File: dso_list (13.58 KB, text/plain)
2013-06-26 19:45 EDT, Nirmal Pathak
no flags Details
File: environ (1.41 KB, text/plain)
2013-06-26 19:45 EDT, Nirmal Pathak
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-26 19:45 EDT, Nirmal Pathak
no flags Details
File: maps (64.80 KB, text/plain)
2013-06-26 19:45 EDT, Nirmal Pathak
no flags Details
File: open_fds (761 bytes, text/plain)
2013-06-26 19:45 EDT, Nirmal Pathak
no flags Details
File: proc_pid_status (926 bytes, text/plain)
2013-06-26 19:45 EDT, Nirmal Pathak
no flags Details
File: var_log_messages (238 bytes, text/plain)
2013-06-26 19:45 EDT, Nirmal Pathak
no flags Details

  None (edit)
Description Nirmal Pathak 2013-06-26 19:44:51 EDT
Version-Release number of selected component:
shotwell-0.13.1-1.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        shotwell '/home/hiral/Music/Aarzoo (1998) (VMR)/00---Aarzoo-(1998)-(VMR)--Covers-(Album-Art).jpg'
crash_function: directory_monitor_real_internal_notify_file_discovered
executable:     /usr/bin/shotwell
kernel:         3.9.5-201.fc18.x86_64
runlevel:       N 5
uid:            1001
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 directory_monitor_real_internal_notify_file_discovered at /usr/src/debug/shotwell-0.13.1/src/DirectoryMonitor.vala:511
 #5 directory_monitor_notify_directory_files_co at /usr/src/debug/shotwell-0.13.1/src/DirectoryMonitor.vala:982
 #7 directory_monitor_explore_async_co at /usr/src/debug/shotwell-0.13.1/src/DirectoryMonitor.vala:963
 #8 next_async_callback_wrapper at gfileenumerator.c:298
 #9 g_simple_async_result_complete at gsimpleasyncresult.c:775
 #10 complete_in_idle_cb_for_thread at gsimpleasyncresult.c:843
 #15 gtk_dialog_run at gtkdialog.c:1110
 #16 app_window_error_message_with_title at /usr/src/debug/shotwell-0.13.1/src/AppWindow.vala:589
 #17 app_window_error_message at /usr/src/debug/shotwell-0.13.1/src/AppWindow.vala:575
 #18 direct_photo_page_check_editable_file at /usr/src/debug/shotwell-0.13.1/src/direct/DirectPhotoPage.vala:227

Potential duplicate: bug 882625
Comment 1 Nirmal Pathak 2013-06-26 19:44:55 EDT
Created attachment 765837 [details]
File: backtrace
Comment 2 Nirmal Pathak 2013-06-26 19:44:58 EDT
Created attachment 765838 [details]
File: cgroup
Comment 3 Nirmal Pathak 2013-06-26 19:45:01 EDT
Created attachment 765839 [details]
File: core_backtrace
Comment 4 Nirmal Pathak 2013-06-26 19:45:07 EDT
Created attachment 765840 [details]
File: dso_list
Comment 5 Nirmal Pathak 2013-06-26 19:45:11 EDT
Created attachment 765841 [details]
File: environ
Comment 6 Nirmal Pathak 2013-06-26 19:45:14 EDT
Created attachment 765842 [details]
File: limits
Comment 7 Nirmal Pathak 2013-06-26 19:45:17 EDT
Created attachment 765843 [details]
File: maps
Comment 8 Nirmal Pathak 2013-06-26 19:45:20 EDT
Created attachment 765844 [details]
File: open_fds
Comment 9 Nirmal Pathak 2013-06-26 19:45:23 EDT
Created attachment 765845 [details]
File: proc_pid_status
Comment 10 Nirmal Pathak 2013-06-26 19:45:26 EDT
Created attachment 765846 [details]
File: var_log_messages
Comment 11 Fedora End Of Life 2013-12-21 09:09:46 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2014-02-05 16:58:54 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.